<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package FreshWP WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license licennse URI, for example : http://www.gnu.org/licenses/gpl-2.0.html
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<?php if ( !(freshwp_get_option('hide_social_buttons')) ) { ?>
<div class='freshwp-social-icons-outer-container'>
<div class='freshwp-container freshwp-clearfix'>
<div class="freshwp-social-icons freshwp-clearfix">
<div class="freshwp-social-icons-inner freshwp-clearfix">
    <?php if ( freshwp_get_option('twitterlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('twitterlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-twitter" aria-label="<?php esc_attr_e('Twitter Button','freshwp'); ?>"><i class="fab fa-twitter" aria-hidden="true" title="<?php esc_attr_e('Twitter','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('facebooklink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('facebooklink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','freshwp'); ?>"><i class="fab fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('threadslink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('threadslink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-threads" aria-label="<?php esc_attr_e('Threads Button','freshwp'); ?>"><i class="fab fa-threads" aria-hidden="true" title="<?php esc_attr_e('Threads','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('googlelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('googlelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-google-plus" aria-label="<?php esc_attr_e('Google Plus Button','freshwp'); ?>"><i class="fab fa-google-plus-g" aria-hidden="true" title="<?php esc_attr_e('Google Plus','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('pinterestlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('pinterestlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','freshwp'); ?>"><i class="fab fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('linkedinlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('linkedinlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','freshwp'); ?>"><i class="fab fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('instagramlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('instagramlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','freshwp'); ?>"><i class="fab fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('flickrlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('flickrlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','freshwp'); ?>"><i class="fab fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('youtubelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('youtubelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','freshwp'); ?>"><i class="fab fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('vimeolink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('vimeolink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','freshwp'); ?>"><i class="fab fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('soundcloudlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('soundcloudlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','freshwp'); ?>"><i class="fab fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('messengerlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('messengerlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','freshwp'); ?>"><i class="fab fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','freshwp'); ?>"></i></a><?php endif; ?>
   <?php if ( freshwp_get_option('whatsapplink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('whatsapplink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-whatsapp" aria-label="<?php esc_attr_e('WhatsApp Button','freshwp'); ?>"><i class="fab fa-whatsapp" aria-hidden="true" title="<?php esc_attr_e('WhatsApp','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('tiktoklink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('tiktoklink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-tiktok" aria-label="<?php esc_attr_e('TikTok Button','freshwp'); ?>"><i class="fab fa-tiktok" aria-hidden="true" title="<?php esc_attr_e('TikTok','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('lastfmlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('lastfmlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','freshwp'); ?>"><i class="fab fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('mediumlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('mediumlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','freshwp'); ?>"><i class="fab fa-medium-m" aria-hidden="true" title="<?php esc_attr_e('Medium','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('githublink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('githublink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-github" aria-label="<?php esc_attr_e('Github Button','freshwp'); ?>"><i class="fab fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('bitbucketlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('bitbucketlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','freshwp'); ?>"><i class="fab fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('tumblrlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('tumblrlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','freshwp'); ?>"><i class="fab fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('digglink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('digglink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','freshwp'); ?>"><i class="fab fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('deliciouslink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('deliciouslink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','freshwp'); ?>"><i class="fab fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('stumblelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('stumblelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','freshwp'); ?>"><i class="fab fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('mixlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('mixlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','freshwp'); ?>"><i class="fab fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('redditlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('redditlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','freshwp'); ?>"><i class="fab fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('dribbblelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('dribbblelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','freshwp'); ?>"><i class="fab fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('flipboardlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('flipboardlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','freshwp'); ?>"><i class="fab fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('bloggerlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('bloggerlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','freshwp'); ?>"><i class="fab fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('etsylink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('etsylink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','freshwp'); ?>"><i class="fab fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('behancelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('behancelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','freshwp'); ?>"><i class="fab fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('amazonlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('amazonlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','freshwp'); ?>"><i class="fab fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('meetuplink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('meetuplink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','freshwp'); ?>"><i class="fab fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('mixcloudlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('mixcloudlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','freshwp'); ?>"><i class="fab fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('slacklink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('slacklink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','freshwp'); ?>"><i class="fab fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('snapchatlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('snapchatlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','freshwp'); ?>"><i class="fab fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('spotifylink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('spotifylink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','freshwp'); ?>"><i class="fab fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('yelplink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('yelplink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','freshwp'); ?>"><i class="fab fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('wordpresslink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('wordpresslink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','freshwp'); ?>"><i class="fab fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('twitchlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('twitchlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','freshwp'); ?>"><i class="fab fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('telegramlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('telegramlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','freshwp'); ?>"><i class="fab fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('bandcamplink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('bandcamplink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','freshwp'); ?>"><i class="fab fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('quoralink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('quoralink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','freshwp'); ?>"><i class="fab fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('foursquarelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('foursquarelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','freshwp'); ?>"><i class="fab fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('deviantartlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('deviantartlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','freshwp'); ?>"><i class="fab fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('imdblink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('imdblink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','freshwp'); ?>"><i class="fab fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('vklink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('vklink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','freshwp'); ?>"><i class="fab fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('codepenlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('codepenlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','freshwp'); ?>"><i class="fab fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('jsfiddlelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('jsfiddlelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','freshwp'); ?>"><i class="fab fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('stackoverflowlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('stackoverflowlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','freshwp'); ?>"><i class="fab fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('stackexchangelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('stackexchangelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','freshwp'); ?>"><i class="fab fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('bsalink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('bsalink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','freshwp'); ?>"><i class="fab fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('web500pxlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('web500pxlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','freshwp'); ?>"><i class="fab fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('ellolink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('ellolink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','freshwp'); ?>"><i class="fab fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('discordlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('discordlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-discord" aria-label="<?php esc_attr_e('Discord Button','freshwp'); ?>"><i class="fab fa-discord" aria-hidden="true" title="<?php esc_attr_e('Discord','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('goodreadslink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('goodreadslink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','freshwp'); ?>"><i class="fab fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('odnoklassnikilink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('odnoklassnikilink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','freshwp'); ?>"><i class="fab fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('houzzlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('houzzlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','freshwp'); ?>"><i class="fab fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('pocketlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('pocketlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','freshwp'); ?>"><i class="fab fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('xinglink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('xinglink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','freshwp'); ?>"><i class="fab fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('mastodonlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('mastodonlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-mastodon" aria-label="<?php esc_attr_e('Mastodon Button','freshwp'); ?>"><i class="fab fa-mastodon" aria-hidden="true" title="<?php esc_attr_e('Mastodon','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('googleplaylink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('googleplaylink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','freshwp'); ?>"><i class="fab fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('slidesharelink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('slidesharelink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','freshwp'); ?>"><i class="fab fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('dropboxlink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('dropboxlink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','freshwp'); ?>"><i class="fab fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('paypallink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('paypallink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','freshwp'); ?>"><i class="fab fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('viadeolink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('viadeolink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','freshwp'); ?>"><i class="fab fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('wikipedialink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('wikipedialink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','freshwp'); ?>"><i class="fab fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('skypeusername') ) : ?>
            <a href="skype:<?php echo esc_html( freshwp_get_option('skypeusername') ); ?>?chat" class="freshwp-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','freshwp'); ?>"><i class="fab fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('emailaddress') ) : ?>
            <a href="mailto:<?php echo esc_html( freshwp_get_option('emailaddress') ); ?>" class="freshwp-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','freshwp'); ?>"><i class="far fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','freshwp'); ?>"></i></a><?php endif; ?>
    <?php if ( freshwp_get_option('rsslink') ) : ?>
            <a href="<?php echo esc_url( freshwp_get_option('rsslink') ); ?>" target="_blank" rel="nofollow" class="freshwp-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','freshwp'); ?>"><i class="fas fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','freshwp'); ?>"></i></a><?php endif; ?>
</div>
</div>
</div>
</div>
<?php } ?>


<?php if ( !(freshwp_get_option('hide_footer_widgets')) ) { ?>
<?php if ( is_active_sidebar( 'freshwp-footer-1' ) || is_active_sidebar( 'freshwp-footer-2' ) || is_active_sidebar( 'freshwp-footer-3' ) || is_active_sidebar( 'freshwp-footer-4' ) ) : ?>
<div class='freshwp-footer-outer-container'>
<div class='freshwp-container'>
<div id='freshwp-footer-container' itemscope='itemscope' itemtype='http://schema.org/WPFooter' role='contentinfo'>
<div class='freshwp-clearfix' id='freshwp-footer-widgets'>

<div class='freshwp-footer-widgets-column'>
<?php dynamic_sidebar( 'freshwp-footer-1' ); ?>
</div>

<div class='freshwp-footer-widgets-column'>
<?php dynamic_sidebar( 'freshwp-footer-2' ); ?>
</div>

<div class='freshwp-footer-widgets-column'>
<?php dynamic_sidebar( 'freshwp-footer-3' ); ?>
</div>

<div class='freshwp-footer-widgets-column'>
<?php dynamic_sidebar( 'freshwp-footer-4' ); ?>
</div>

</div>
</div>
</div>
</div>
<?php endif; ?>
<?php } ?>


<div class='freshwp-copyrights-outer-container'>
<div class='freshwp-container'>
<div id='freshwp-copyrights-container'>
<div id='freshwp-copyrights'>
<?php if ( freshwp_get_option('footer_text') ) : ?>
  <?php echo wp_kses_post( force_balance_tags( freshwp_get_option('footer_text') ) ); ?>
<?php else : ?>
  <?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'freshwp' ), esc_html(date_i18n(__('Y','freshwp'))) . ' ' . esc_html(get_bloginfo( 'name' )) ); ?>
<?php endif; ?>
</div>
<div id="freshwp-credits"><a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'freshwp' ), 'ThemesDNA.com' ); ?></a></div>
</div>
</div>
</div>

</div><!-- .freshwp-wrapper -->

<button class="freshwp-scroll-top" title="<?php esc_attr_e('Scroll to Top','freshwp'); ?>"><span class="fa fa-arrow-up" aria-hidden="true"></span><span class="freshwp-sr-only"><?php esc_html_e('Scroll to Top', 'freshwp'); ?></span></button>

<?php wp_footer(); ?>
</body>
</html>