<?php
/**
* Social profile buttons options
*
* @package FreshWP WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license licennse URI, for example : http://www.gnu.org/licenses/gpl-2.0.html
* @author ThemesDNA <themesdna@gmail.com>
*/

function freshwp_social_profiles($wp_customize) {

    $wp_customize->add_section( 'freshwp_section_social', array( 'title' => esc_html__( 'Social Links', 'freshwp' ), 'panel' => 'freshwp_main_options_panel', 'priority' => 400, ));

    $wp_customize->add_setting( 'freshwp_options[hide_social_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'freshwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'freshwp_hide_social_buttons_control', array( 'label' => esc_html__( 'Hide Social Buttons', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[hide_social_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'freshwp_options[twitterlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_twitterlink_control', array( 'label' => esc_html__( 'Twitter URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[twitterlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[facebooklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_facebooklink_control', array( 'label' => esc_html__( 'Facebook URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[facebooklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[threadslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_threadslink_control', array( 'label' => esc_html__( 'Threads URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[threadslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[googlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) ); 

    $wp_customize->add_control( 'freshwp_googlelink_control', array( 'label' => esc_html__( 'Google Plus URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[googlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[pinterestlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_pinterestlink_control', array( 'label' => esc_html__( 'Pinterest URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[pinterestlink]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'freshwp_options[linkedinlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_linkedinlink_control', array( 'label' => esc_html__( 'Linkedin Link', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[linkedinlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[instagramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_instagramlink_control', array( 'label' => esc_html__( 'Instagram Link', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[instagramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[vklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_vklink_control', array( 'label' => esc_html__( 'VK Link', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[vklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[flickrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_flickrlink_control', array( 'label' => esc_html__( 'Flickr Link', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[flickrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[youtubelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_youtubelink_control', array( 'label' => esc_html__( 'Youtube URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[youtubelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[vimeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_vimeolink_control', array( 'label' => esc_html__( 'Vimeo URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[vimeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[soundcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_soundcloudlink_control', array( 'label' => esc_html__( 'Soundcloud URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[soundcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[messengerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_messengerlink_control', array( 'label' => esc_html__( 'Messenger URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[messengerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[whatsapplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_whatsapplink_control', array( 'label' => esc_html__( 'WhatsApp URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[whatsapplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[tiktoklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_tiktoklink_control', array( 'label' => esc_html__( 'TikTok URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[tiktoklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[lastfmlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_lastfmlink_control', array( 'label' => esc_html__( 'Lastfm URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[lastfmlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[mediumlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_mediumlink_control', array( 'label' => esc_html__( 'Medium URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[mediumlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[githublink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_githublink_control', array( 'label' => esc_html__( 'Github URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[githublink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[bitbucketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_bitbucketlink_control', array( 'label' => esc_html__( 'Bitbucket URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[bitbucketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[tumblrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_tumblrlink_control', array( 'label' => esc_html__( 'Tumblr URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[tumblrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[digglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_digglink_control', array( 'label' => esc_html__( 'Digg URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[digglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[deliciouslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_deliciouslink_control', array( 'label' => esc_html__( 'Delicious URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[deliciouslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[stumblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_stumblelink_control', array( 'label' => esc_html__( 'Stumbleupon URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[stumblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[mixlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_mixlink_control', array( 'label' => esc_html__( 'Mix URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[mixlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[redditlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_redditlink_control', array( 'label' => esc_html__( 'Reddit URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[redditlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[dribbblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_dribbblelink_control', array( 'label' => esc_html__( 'Dribbble URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[dribbblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[flipboardlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_flipboardlink_control', array( 'label' => esc_html__( 'Flipboard URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[flipboardlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[bloggerlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_bloggerlink_control', array( 'label' => esc_html__( 'Blogger URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[bloggerlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[etsylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_etsylink_control', array( 'label' => esc_html__( 'Etsy URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[etsylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[behancelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_behancelink_control', array( 'label' => esc_html__( 'Behance URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[behancelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[amazonlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_amazonlink_control', array( 'label' => esc_html__( 'Amazon URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[amazonlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[meetuplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_meetuplink_control', array( 'label' => esc_html__( 'Meetup URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[meetuplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[mixcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_mixcloudlink_control', array( 'label' => esc_html__( 'Mixcloud URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[mixcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[slacklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_slacklink_control', array( 'label' => esc_html__( 'Slack URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[slacklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[snapchatlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_snapchatlink_control', array( 'label' => esc_html__( 'Snapchat URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[snapchatlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[spotifylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_spotifylink_control', array( 'label' => esc_html__( 'Spotify URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[spotifylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[yelplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_yelplink_control', array( 'label' => esc_html__( 'Yelp URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[yelplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[wordpresslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_wordpresslink_control', array( 'label' => esc_html__( 'WordPress URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[wordpresslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[twitchlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_twitchlink_control', array( 'label' => esc_html__( 'Twitch URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[twitchlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[telegramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_telegramlink_control', array( 'label' => esc_html__( 'Telegram URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[telegramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[bandcamplink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_bandcamplink_control', array( 'label' => esc_html__( 'Bandcamp URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[bandcamplink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[quoralink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_quoralink_control', array( 'label' => esc_html__( 'Quora URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[quoralink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[foursquarelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_foursquarelink_control', array( 'label' => esc_html__( 'Foursquare URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[foursquarelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[deviantartlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_deviantartlink_control', array( 'label' => esc_html__( 'DeviantArt URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[deviantartlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[imdblink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_imdblink_control', array( 'label' => esc_html__( 'IMDB URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[imdblink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[codepenlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_codepenlink_control', array( 'label' => esc_html__( 'Codepen URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[codepenlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[jsfiddlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_jsfiddlelink_control', array( 'label' => esc_html__( 'JSFiddle URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[jsfiddlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[stackoverflowlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_stackoverflowlink_control', array( 'label' => esc_html__( 'Stack Overflow URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[stackoverflowlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[stackexchangelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_stackexchangelink_control', array( 'label' => esc_html__( 'Stack Exchange URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[stackexchangelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[bsalink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_bsalink_control', array( 'label' => esc_html__( 'BuySellAds URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[bsalink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[web500pxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_web500pxlink_control', array( 'label' => esc_html__( '500px URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[web500pxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[ellolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_ellolink_control', array( 'label' => esc_html__( 'Ello URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[ellolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[discordlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_discordlink_control', array( 'label' => esc_html__( 'Discord URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[discordlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[goodreadslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_goodreadslink_control', array( 'label' => esc_html__( 'Goodreads URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[goodreadslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[odnoklassnikilink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_odnoklassnikilink_control', array( 'label' => esc_html__( 'Odnoklassniki URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[odnoklassnikilink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[houzzlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_houzzlink_control', array( 'label' => esc_html__( 'Houzz URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[houzzlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[pocketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_pocketlink_control', array( 'label' => esc_html__( 'Pocket URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[pocketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[xinglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_xinglink_control', array( 'label' => esc_html__( 'XING URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[xinglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[mastodonlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_mastodonlink_control', array( 'label' => esc_html__( 'Mastodon URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[mastodonlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[googleplaylink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_googleplaylink_control', array( 'label' => esc_html__( 'Google Play URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[googleplaylink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[slidesharelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_slidesharelink_control', array( 'label' => esc_html__( 'SlideShare URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[slidesharelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[dropboxlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_dropboxlink_control', array( 'label' => esc_html__( 'Dropbox URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[dropboxlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[paypallink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_paypallink_control', array( 'label' => esc_html__( 'PayPal URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[paypallink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[viadeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_viadeolink_control', array( 'label' => esc_html__( 'Viadeo URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[viadeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[wikipedialink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_wikipedialink_control', array( 'label' => esc_html__( 'Wikipedia URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[wikipedialink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[skypeusername]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'freshwp_skypeusername_control', array( 'label' => esc_html__( 'Skype Username', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[skypeusername]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[emailaddress]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'freshwp_sanitize_email' ) );

    $wp_customize->add_control( 'freshwp_emailaddress_control', array( 'label' => esc_html__( 'Email Address', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[emailaddress]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'freshwp_options[rsslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'freshwp_rsslink_control', array( 'label' => esc_html__( 'RSS Feed URL', 'freshwp' ), 'section' => 'freshwp_section_social', 'settings' => 'freshwp_options[rsslink]', 'type' => 'text' ) );

}